package test;

import java.util.logging.Logger;
import javax.annotation.Resource;
import javax.annotation.security.DeclareRoles;
import javax.annotation.security.RolesAllowed;
import javax.jws.WebMethod;
import javax.jws.WebParam;
import javax.jws.WebService;
import javax.xml.ws.WebServiceContext;

/**
 *
 */
@WebService()
@DeclareRoles({"role1","role2"})
@RolesAllowed({"role1","role2"})
public class RoleTest {
    private static final Logger LOG = Logger.getLogger(RoleTest.class.getName());
    @Resource
    WebServiceContext context;

    /**
     * Web service operation
     */
    @WebMethod(operationName = "isUserInRole")
    public boolean isUserInRole(@WebParam(name="role") String role) {
        LOG.info("Principal "+context.getUserPrincipal().getName());
        return context.isUserInRole(role);
    }

}
